<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWorkHoursTable extends Migration
{
    public function up() {
        Schema::create('work_hours', function (Blueprint $table) {
            $table->id();
            $table->uuid('user_id');
            $table->decimal('ordinary_hours', 4, 1);
            $table->date('work_date');
            $table->timestamps();

            $table->foreign('user_id')
                  ->references('id')->on('smartdok_profiles')
                  ->onDelete('cascade');
        });
    }

    public function down() {
        Schema::dropIfExists('work_hours');
    }
}