<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddCommentToWorkHoursTable extends Migration
{
    public function up() {
        Schema::table('work_hours', function (Blueprint $table) {
            $table->text('comment')
                  ->after('work_date')
                  ->nullable();
        });
    }

    public function down() {
        Schema::table('work_hours', function (Blueprint $table) {
            $table->dropColumn('comment');
        });
    }
}